Intermittent devtools/netmonitor/test/browser_net_prefs-reload.js | Test timed out | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/netmonitor/test/html_simple-test-page.html and tons of fallout

RESOLVED FIXED in Firefox 23

Status

()

Firefox
Developer Tools: Netmonitor
P3
normal
RESOLVED FIXED
5 years ago
2 years ago

People

(Reporter: RyanVM, Assigned: vporof)

Tracking

({intermittent-failure})

unspecified
Firefox 23
x86
Windows XP
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

5 years ago
Created attachment 742361 [details]
screenshot

Can't help but notice that bug 864176 just recently landed.

https://tbpl.mozilla.org/php/getParsedLog.php?id=22262492&tree=Mozilla-Inbound

Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-browser-chrome on 2013-04-25 16:42:30 PDT for push 120f3f229643
slave: talos-r3-xp-089

17:55:31     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | Removing tab.
17:55:31     INFO -  NET-FRONTEND: Destroying the NetMonitorView
17:55:31     INFO -  NET-FRONTEND: Destroying the ToolbarView
17:55:31     INFO -  NET-FRONTEND: Destroying the SourcesView
17:55:31     INFO -  NET-FRONTEND: Destroying the SourcesView
17:55:31     INFO -  NET-FRONTEND: Destroying the NetMonitorView panes
17:55:31     INFO -  NET-FRONTEND: TargetEventsHandler is disconnecting...
17:55:31     INFO -  NET-FRONTEND: NetworkEventsHandler is disconnecting...
17:55:31     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | Initializing a network monitor pane.
17:55:31     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | Adding tab: http://example.com/browser/browser/devtools/netmonitor/test/html_simple-test-page.html
17:55:31     INFO -  ++DOCSHELL 20462B70 == 13 [id = 4170]
17:55:31     INFO -  ++DOMWINDOW == 114 (27500928) [serial = 10668] [outer = 00000000]
17:55:31     INFO -  ++DOMWINDOW == 115 (14A7A278) [serial = 10669] [outer = 27500928]
17:55:31     INFO -  WARNING: NS_ENSURE_TRUE(mMutable) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
17:55:31     INFO -  --DOCSHELL 266935C0 == 12 [id = 4168]
17:55:31     INFO -  --DOCSHELL 26F1BB40 == 11 [id = 4169]
17:55:31     INFO -  --DOCSHELL 20C4F430 == 10 [id = 4166]
17:55:31     INFO -  ###!!! ASSERTION: Shouldn't be trying to restyle non-elements directly: '!aContent || aContent->IsElement()', file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsStyleChangeList.cpp, line 65
17:55:31     INFO -  CaptureChange [layout/base/nsFrameManager.cpp:988]
17:55:31     INFO -  nsFrameManager::ReResolveStyleContext(nsPresContext *,nsIFrame *,nsIContent *,nsStyleChangeList *,nsChangeHint,nsChangeHint,nsRestyleHint,mozilla::css::RestyleTracker &,nsFrameManager::DesiredA11yNotifications,nsTArray<nsIContent *> &,TreeMatchContext &) [layout/base/nsFrameManager.cpp:1289]
17:55:31     INFO -  nsFrameManager::ReResolveStyleContext(nsPresContext *,nsIFrame *,nsIContent *,nsStyleChangeList *,nsChangeHint,nsChangeHint,nsRestyleHint,mozilla::css::RestyleTracker &,nsFrameManager::DesiredA11yNotifications,nsTArray<nsIContent *> &,TreeMatchContext &) [layout/base/nsFrameManager.cpp:1533]
17:55:31     INFO -  nsFrameManager::ReResolveStyleContext(nsPresContext *,nsIFrame *,nsIContent *,nsStyleChangeList *,nsChangeHint,nsChangeHint,nsRestyleHint,mozilla::css::RestyleTracker &,nsFrameManager::DesiredA11yNotifications,nsTArray<nsIContent *> &,TreeMatchContext &) [layout/base/nsFrameManager.cpp:1533]
17:55:31     INFO -  nsFrameManager::ReResolveStyleContext(nsPresContext *,nsIFrame *,nsIContent *,nsStyleChangeList *,nsChangeHint,nsChangeHint,nsRestyleHint,mozilla::css::RestyleTracker &,nsFrameManager::DesiredA11yNotifications,nsTArray<nsIContent *> &,TreeMatchContext &) [layout/base/nsFrameManager.cpp:1569]
17:55:31     INFO -  nsFrameManager::ComputeStyleChangeFor(nsIFrame *,nsStyleChangeList *,nsChangeHint,mozilla::css::RestyleTracker &,bool) [layout/base/nsFrameManager.cpp:1685]
17:55:31     INFO -  nsCSSFrameConstructor::RestyleElement(mozilla::dom::Element *,nsIFrame *,nsChangeHint,mozilla::css::RestyleTracker &,bool) [layout/base/nsCSSFrameConstructor.cpp:8311]
17:55:31     INFO -  mozilla::css::RestyleTracker::ProcessOneRestyle(mozilla::dom::Element *,nsRestyleHint,nsChangeHint) [layout/base/RestyleTracker.cpp:125]
17:55:31     INFO -  mozilla::css::RestyleTracker::DoProcessRestyles() [layout/base/RestyleTracker.cpp:210]
17:55:31     INFO -  nsCSSFrameConstructor::ProcessPendingRestyles() [layout/base/nsCSSFrameConstructor.cpp:12048]
17:55:31     INFO -  PresShell::FlushPendingNotifications(mozFlushType) [layout/base/nsPresShell.cpp:3760]
17:55:31     INFO -  nsDocument::FlushPendingNotifications(mozFlushType) [content/base/src/nsDocument.cpp:6969]
17:55:31     INFO -  nsComputedDOMStyle::GetPropertyCSSValue(nsAString_internal const &,mozilla::ErrorResult &) [layout/style/nsComputedDOMStyle.cpp:499]
17:55:31     INFO -  nsComputedDOMStyle::GetPropertyValue(nsAString_internal const &,nsAString_internal &) [layout/style/nsComputedDOMStyle.cpp:249]
17:55:31     INFO -  mozilla::dom::CSSStyleDeclarationBinding::getPropertyValue [obj-firefox/dom/bindings/CSSStyleDeclarationBinding.cpp:152]
17:55:31     INFO -  mozilla::dom::CSSStyleDeclarationBinding::genericMethod [obj-firefox/dom/bindings/CSSStyleDeclarationBinding.cpp:395]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::ion::DoCallFallback [js/src/ion/BaselineIC.cpp:6587]
17:55:31     INFO -  UNKNOWN 0x00000000052CD4C3
17:55:31     INFO -  UNKNOWN 0x0000000026653B48
17:55:31     INFO -  UNKNOWN 0x00000000052C7A1D
17:55:31     INFO -  EnterBaseline [js/src/ion/BaselineJIT.cpp:154]
17:55:31     INFO -  js::ion::EnterBaselineMethod(JSContext *,js::StackFrame *) [js/src/ion/BaselineJIT.cpp:180]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2448]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::ion::DoCallFallback [js/src/ion/BaselineIC.cpp:6587]
17:55:31     INFO -  UNKNOWN 0x00000000052CD4C3
17:55:31     INFO -  UNKNOWN 0x00000000247ED240
17:55:31     INFO -  UNKNOWN 0x00000000052C7A1D
17:55:31     INFO -  EnterBaseline [js/src/ion/BaselineJIT.cpp:154]
17:55:31     INFO -  js::ion::EnterBaselineMethod(JSContext *,js::StackFrame *) [js/src/ion/BaselineJIT.cpp:180]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:340]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::ion::DoCallFallback [js/src/ion/BaselineIC.cpp:6587]
17:55:31     INFO -  UNKNOWN 0x00000000052CD4C3
17:55:31     INFO -  UNKNOWN 0x000000002670F4B0
17:55:31     INFO -  UNKNOWN 0x00000000052C7A1D
17:55:31     INFO -  EnterBaseline [js/src/ion/BaselineJIT.cpp:154]
17:55:31     INFO -  js::ion::EnterBaselineMethod(JSContext *,js::StackFrame *) [js/src/ion/BaselineJIT.cpp:180]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:340]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  JS_CallFunctionValue(JSContext *,JSObject *,JS::Value,unsigned int,JS::Value *,JS::Value *) [js/src/jsapi.cpp:5870]
17:55:31     INFO -  nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS *,unsigned short,XPTMethodDescriptor const *,nsXPTCMiniVariant *) [js/xpconnect/src/XPCWrappedJSClass.cpp:1438]
17:55:31     INFO -  nsXPCWrappedJS::CallMethod(unsigned short,XPTMethodDescriptor const *,nsXPTCMiniVariant *) [js/xpconnect/src/XPCWrappedJS.cpp:578]
17:55:31     INFO -  PrepareAndDispatch [xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:85]
17:55:31     INFO -  SharedStub [xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:113]
17:55:31     INFO -  nsEventListenerManager::HandleEventSubType(nsListenerStruct *,mozilla::dom::CallbackObjectHolder<mozilla::dom::EventListener,nsIDOMEventListener> const &,nsIDOMEvent *,mozilla::dom::EventTarget *,nsCxPusher *) [content/events/src/nsEventListenerManager.cpp:923]
17:55:31     INFO -  nsEventListenerManager::HandleEventInternal(nsPresContext *,nsEvent *,nsIDOMEvent * *,mozilla::dom::EventTarget *,nsEventStatus *,nsCxPusher *) [content/events/src/nsEventListenerManager.cpp:995]
17:55:31     INFO -  nsEventListenerManager::HandleEvent(nsPresContext *,nsEvent *,nsIDOMEvent * *,mozilla::dom::EventTarget *,nsEventStatus *,nsCxPusher *) [content/events/src/nsEventListenerManager.h:327]
17:55:31     INFO -  nsEventTargetChainItem::HandleEvent(nsEventChainPostVisitor &,bool,nsCxPusher *) [content/events/src/nsEventDispatcher.cpp:203]
17:55:31     INFO -  nsEventTargetChainItem::HandleEventTargetChain(nsEventChainPostVisitor &,nsDispatchingCallback *,bool,nsCxPusher *) [content/events/src/nsEventDispatcher.cpp:353]
17:55:31     INFO -  nsEventDispatcher::Dispatch(nsISupports *,nsPresContext *,nsEvent *,nsIDOMEvent *,nsEventStatus *,nsDispatchingCallback *,nsCOMArray<mozilla::dom::EventTarget> *) [content/events/src/nsEventDispatcher.cpp:634]
17:55:31     INFO -  nsEventDispatcher::DispatchDOMEvent(nsISupports *,nsEvent *,nsIDOMEvent *,nsPresContext *,nsEventStatus *) [content/events/src/nsEventDispatcher.cpp:692]
17:55:31     INFO -  nsINode::DispatchEvent(nsIDOMEvent *,bool *) [content/base/src/nsINode.cpp:1138]
17:55:31     INFO -  mozilla::dom::EventTarget::DispatchEvent(nsDOMEvent &,mozilla::ErrorResult &) [content/base/src/nsINode.cpp:2443]
17:55:31     INFO -  mozilla::dom::EventTargetBinding::dispatchEvent [obj-firefox/dom/bindings/EventTargetBinding.cpp:257]
17:55:31     INFO -  mozilla::dom::EventTargetBinding::genericMethod [obj-firefox/dom/bindings/EventTargetBinding.cpp:305]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,js::InvokeArgsGuard &,js::MaybeConstruct) [js/src/jsinterp.h:134]
17:55:31     INFO -  js_fun_apply(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1031]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,js::InvokeArgsGuard &,js::MaybeConstruct) [js/src/jsinterp.h:134]
17:55:31     INFO -  js_fun_apply(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1031]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [js/src/jsfun.cpp:1160]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:407]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:31     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:31     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:31     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:31     INFO -  js::DirectProxyHandler::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:481]
17:55:31     INFO -  js::CrossCompartmentWrapper::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jswrapper.cpp:453]
17:55:31     INFO -  js::Proxy::call(JSContext *,JS::Handle<JSObject *>,JS::CallArgs const &) [js/src/jsproxy.cpp:2613]
17:55:31     INFO -  proxy_Call [js/src/jsproxy.cpp:3177]
17:55:31     INFO -  js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &) [js/src/jscntxtinlines.h:337]
17:55:31     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:400]
17:55:32     INFO -  JS_NewObjectWTEST-INFO | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | Net tab added successfully: http://example.com/browser/browser/devtools/netmonitor/test/html_simple-test-page.html
17:55:32     INFO -  ++DOCSHELL 20C4F430 == 11 [id = 4171]
17:55:32     INFO -  ++DOMWINDOW == 116 (26F1BBB0) [serial = 10670] [outer = 00000000]
17:55:32     INFO -  ++DOMWINDOW == 117 (26693630) [serial = 10671] [outer = 26F1BBB0]
17:55:32     INFO -  ++DOCSHELL 272379E0 == 12 [id = 4172]
17:55:32     INFO -  ++DOMWINDOW == 118 (2548C900) [serial = 10672] [outer = 00000000]
17:55:32     INFO -  ++DOMWINDOW == 119 (2289FCB0) [serial = 10673] [outer = 27500928]
17:55:32     INFO -  js::Interpret(JSContext *,js::StackFrame *,js::InterpMode,bool) [js/src/jsinterp.cpp:2396]
17:55:32     INFO -  js::RunScript(JSContext *,js::StackFrame *) [js/src/jsinterp.cpp:364]
17:55:32     INFO -  js::InvokeKernel(JSContext *,JS::CallArgs,js::MaybeConstruct) [js/src/jsinterp.cpp:424]
17:55:32     INFO -  js::Invoke(JSContext *,JS::Value const &,JS::Value const &,unsigned int,JS::Value *,JS::Value *) [js/src/jsinterp.cpp:454]
17:55:32     INFO -  JS_CallFunctionValue(JSContext *,JSObject *,JS::Value,unsigned int,JS::Value *,JS::Value *) [js/src/jsapi.cpp:5870]
17:55:32     INFO -  nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS *,unsigned short,XPTMethodDescriptor const *,nsXPTCMiniVariant *) [js/xpconnect/src/XPCWrappedJSClass.cpp:1438]
17:55:32     INFO -  nsXPCWrappedJS::CallMethod(unsigned short,XPTMethodDescriptor const *,nsXPTCMiniVariant *) [js/xpconnect/src/XPCWrappedJS.cpp:578]
17:55:32     INFO -  PrepareAndDispatch [xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:85]
17:55:32     INFO -  SharedStub [xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:113]
17:55:32     INFO -  nsThread::ProcessNextEvent(bool,bool *) [xpcom/threads/nsThread.cpp:627]
17:55:32     INFO -  NS_ProcessNextEvent(nsIThread *,bool) [obj-firefox/xpcom/build/nsThreadUtils.cpp:238]
17:55:32     INFO -  mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [ipc/glue/MessagePump.cpp:82]
17:55:32     INFO -  MessageLoop::RunInternal() [ipc/chromium/src/base/message_loop.cc:219]
17:55:32     INFO -  MessageLoop::RunHandler() [ipc/chromium/src/base/message_loop.cc:213]
17:55:32     INFO -  MessageLoop::Run() [ipc/chromium/src/base/message_loop.cc:187]
17:55:32     INFO -  nsBaseAppShell::Run() [widget/xpwidgets/nsBaseAppShell.cpp:165]
17:55:32     INFO -  nsAppShell::Run() [widget/windows/nsAppShell.cpp:113]
17:55:32     INFO -  nsAppStartup::Run() [toolkit/components/startup/nsAppStartup.cpp:290]
17:55:32     INFO -  XREMain::XRE_mainRun() [toolkit/xre/nsAppRunner.cpp:3878]
17:55:32     INFO -  XREMain::XRE_main(int,char * * const,nsXREAppData const *) [toolkit/xre/nsAppRunner.cpp:3945]
17:55:32     INFO -  XRE_main [toolkit/xre/nsAppRunner.cpp:4157]
17:55:32     INFO -  do_main [browser/app/nsBrowserApp.cpp:271]
17:55:32     INFO -  NS_internal_main(int,char * *) [browser/app/nsBrowserApp.cpp:576]
17:55:32     INFO -  wmain [toolkit/xre/nsWindowsWMain.cpp:112]
17:55:32     INFO -  __tmainCRTStartup [f:/dd/vctools/crt_bld/self_x86/crt/src/crtexe.c:552]
17:55:32     INFO -  wmainCRTStartup [f:/dd/vctools/crt_bld/self_x86/crt/src/crtexe.c:371]
17:55:32     INFO -  kernel32 + 0x16d4f
17:55:32     INFO -  WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/base/nsDocShell.cpp, line 8284
17:55:32     INFO -  ++DOMWINDOW == 120 (23876B40) [serial = 10674] [outer = 2548C900]
17:55:32     INFO -  WARNING: Unable to test style tree integrity -- no content node: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/layout/base/nsCSSFrameConstructor.cpp, line 8259
17:55:32     INFO -  ++DOMWINDOW == 121 (289063D0) [serial = 10675] [outer = 2548C900]
17:55:32     INFO -  ++DOCSHELL 152180C0 == 13 [id = 4173]
17:55:32     INFO -  ++DOMWINDOW == 122 (141C95B0) [serial = 10676] [outer = 00000000]
17:55:32     INFO -  WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file e:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/docshell/base/nsDocShell.cpp, line 8284
17:55:32     INFO -  ++DOCSHELL 269D7000 == 14 [id = 4174]
17:55:32     INFO -  ++DOMWINDOW == 123 (27FCBBF8) [serial = 10677] [outer = 00000000]
17:55:32     INFO -  ++DOMWINDOW == 124 (2F333E30) [serial = 10678] [outer = 27FCBBF8]
17:55:32     INFO -  ++DOMWINDOW == 125 (2ED0A1B8) [serial = 10679] [outer = 141C95B0]
17:55:32     INFO -  NET-FRONTEND: ToolbarView was instantiated
17:55:32     INFO -  NET-FRONTEND: RequestsMenuView was instantiated
17:55:32     INFO -  NET-FRONTEND: NetworkDetailsView was instantiated
17:55:33     INFO -  NET-FRONTEND: Initializing the NetMonitorView
17:55:33     INFO -  NET-FRONTEND: Initializing the NetMonitorView panes
17:55:33     INFO -  NET-FRONTEND: Initializing the ToolbarView
17:55:33     INFO -  NET-FRONTEND: Initializing the RequestsMenuView
17:55:33     INFO -  NET-FRONTEND: Initializing the RequestsMenuView
17:55:35     INFO -  --DOMWINDOW == 124 (14A7A278) [serial = 10669] [outer = 27500928] [url = about:blank]
17:55:35     INFO -  --DOCSHELL 249CC008 == 13 [id = 4167]
17:55:35     INFO -  --DOCSHELL 25D4E160 == 12 [id = 4165]
17:55:39  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | Test timed out
17:55:39     INFO -  args: ['C:\\talos-slave\\test\\build\\tests\\bin\\screenshot.exe', 'c:\\docume~1\\cltbld\\locals~1\\temp\\mozilla-test-fail_v8dfuf']
17:55:41     INFO -  SCREENSHOT: <see attached>
17:55:41     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | finish() was called, cleaning up...
17:55:41     INFO -  INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | finished in 65581ms
17:55:41  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/netmonitor/test/browser_net_prefs-reload.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/netmonitor/test/html_simple-test-page.html
(Assignee)

Comment 1

5 years ago
Created attachment 742375 [details] [diff] [review]
v1

Really? sigh...
Attachment #742375 - Flags: review?(rcampbell)
Comment on attachment 742375 [details] [diff] [review]
v1

Review of attachment 742375 [details] [diff] [review]:
-----------------------------------------------------------------

lolr+
Attachment #742375 - Flags: review?(rcampbell) → review+
(Reporter)

Comment 3

5 years ago
Bad time to mention that failures like these are why using timeouts in mochitests is strongly advised against?
(Assignee)

Comment 4

5 years ago
(In reply to Ryan VanderMeulen [:RyanVM] from comment #3)
> Bad time to mention that failures like these are why using timeouts in
> mochitests is strongly advised against?

None of the network monitor tests use timeouts.
(Assignee)

Comment 5

5 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/5d00e25645df
(Reporter)

Comment 6

5 years ago
(In reply to Victor Porof [:vp] from comment #4)
> (In reply to Ryan VanderMeulen [:RyanVM] from comment #3)
> > Bad time to mention that failures like these are why using timeouts in
> > mochitests is strongly advised against?
> 
> None of the network monitor tests use timeouts.

Sorry, I quite obviously misunderstood what requestLongerTimeout does then.
Do you know why the test takes so long? Should its be split out into separate tests?
(Assignee)

Comment 8

5 years ago
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #7)
> Do you know why the test takes so long? Should its be split out into
> separate tests?

I really have no idea. On my machine it takes a ±5 of seconds, and it seems that it's the same case on try for opt builds (example: https://tbpl.mozilla.org/php/getParsedLog.php?id=22295211&tree=Fx-Team&full=1 - 6 seconds).
(Reporter)

Comment 9

5 years ago
https://hg.mozilla.org/mozilla-central/rev/5d00e25645df
Assignee: nobody → vporof
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 23

Comment 10

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 1

Platform breakdown:
* windows7-32: 6
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=866091&startday=2016-05-30&endday=2016-06-05&tree=all
You need to log in before you can comment on or make changes to this bug.